Commit a002e808 authored by Federico Sismondi's avatar Federico Sismondi

fixed some imports, added deprecation warning, added init which enables event_bus_utils as package

parent e1a5d145
Pipeline #2648 passed with stage
in 0 seconds
from .event_bus_utils import *
......@@ -8,7 +8,7 @@ import traceback
try:
from messages import *
except:
from messages import *
from .messages import *
VERSION = '0.0.10'
AMQP_EXCHANGE = 'amq.topic'
......
......@@ -14,9 +14,9 @@ try:
from pure_pcapy import Dumper, Pkthdr, DLT_RAW, DLT_IEEE802_15_4_NOFCS
from event_bus_utils.rmq_handler import RabbitMQHandler, JsonFormatter
except:
from messages import *
from pure_pcapy import Dumper, Pkthdr, DLT_RAW, DLT_IEEE802_15_4_NOFCS
from event_bus_utils.rmq_handler import RabbitMQHandler, JsonFormatter
from .messages import *
from .pure_pcapy import Dumper, Pkthdr, DLT_RAW, DLT_IEEE802_15_4_NOFCS
from .event_bus_utils.rmq_handler import RabbitMQHandler, JsonFormatter
try:
# For Python 3.0 and later
......
......@@ -62,6 +62,7 @@ DLT_IEEE802_15_4_NOFCS = 230
logger = logging.getLogger()
logger.warning("Soon to be deprecated! Use package instead!")
class PcapError(Exception):
""" General Pcap module exception class """
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment